Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.typehandling
Class IntegerMath

    java.lang.Object
      org.codehaus.groovy.runtime.typehandling.NumberMath
          org.codehaus.groovy.runtime.typehandling.IntegerMath

    public class IntegerMath

extends NumberMath

Integer NumberMath operations

Author:
  Steve Goetze

Field Summary
`static IntegerMath` | `INSTANCE`

Method Summary
`protected Number` | `absImpl(Number number)`
`protected Number` | `addImpl(Number left, Number right)`
`protected Number` | `andImpl(Number left, Number right)`
`protected Number` | `bitwiseNegateImpl(Number left)`
`protected int` | `compareToImpl(Number left, Number right)`
`protected Number` | `divideImpl(Number left, Number right)`
`protected Number` | `intdivImpl(Number left, Number right)`
`protected Number` | `leftShiftImpl(Number left, Number right)`
`protected Number` | `modImpl(Number left, Number right)`
`protected Number` | `multiplyImpl(Number left, Number right)`
`protected Number` | `orImpl(Number left, Number right)`
`protected Number` | `rightShiftImpl(Number left, Number right)`
`protected Number` | `rightShiftUnsignedImpl(Number left, Number right)`
`protected Number` | `subtractImpl(Number left, Number right)`
`protected Number` | `unaryMinusImpl(Number left)`
`protected Number` | `xorImpl(Number left, Number right)`

Methods inherited from class org.codehaus.groovy.runtime.typehandling.NumberMath
`abs, add, and, compareTo, createUnsupportedException, divide, intdiv, isBigDecimal, isBigInteger, isFloatingPoint, isInteger, isLong, leftShift, mod, multiply, or, rightShift, rightShiftUnsigned, subtract, toBigDecimal, toBigInteger, unaryMinus, xor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final IntegerMath INSTANCE

Method Detail

### absImpl

    protected Number absImpl(Number number)

  Specified by:
    `absImpl` in class `NumberMath`

### addImpl

    protected Number addImpl(Number left,
                             Number right)

  Specified by:
    `addImpl` in class `NumberMath`

### subtractImpl

    protected Number subtractImpl(Number left,
                                  Number right)

  Specified by:
    `subtractImpl` in class `NumberMath`

### multiplyImpl

    protected Number multiplyImpl(Number left,
                                  Number right)

  Specified by:
    `multiplyImpl` in class `NumberMath`

### divideImpl

    protected Number divideImpl(Number left,
                                Number right)

  Specified by:
    `divideImpl` in class `NumberMath`

### compareToImpl

    protected int compareToImpl(Number left,
                                Number right)

  Specified by:
    `compareToImpl` in class `NumberMath`

### orImpl

    protected Number orImpl(Number left,
                            Number right)

  Overrides:
    `orImpl` in class `NumberMath`

### andImpl

    protected Number andImpl(Number left,
                             Number right)

  Overrides:
    `andImpl` in class `NumberMath`

### xorImpl

    protected Number xorImpl(Number left,
                             Number right)

  Overrides:
    `xorImpl` in class `NumberMath`

### intdivImpl

    protected Number intdivImpl(Number left,
                                Number right)

  Overrides:
    `intdivImpl` in class `NumberMath`

### modImpl

    protected Number modImpl(Number left,
                             Number right)

  Overrides:
    `modImpl` in class `NumberMath`

### unaryMinusImpl

    protected Number unaryMinusImpl(Number left)

  Specified by:
    `unaryMinusImpl` in class `NumberMath`

### bitwiseNegateImpl

    protected Number bitwiseNegateImpl(Number left)

### leftShiftImpl

    protected Number leftShiftImpl(Number left,
                                   Number right)

  Overrides:
    `leftShiftImpl` in class `NumberMath`

### rightShiftImpl

    protected Number rightShiftImpl(Number left,
                                    Number right)

  Overrides:
    `rightShiftImpl` in class `NumberMath`

### rightShiftUnsignedImpl

    protected Number rightShiftUnsignedImpl(Number left,
                                            Number right)

  Overrides:
    `rightShiftUnsignedImpl` in class `NumberMath`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD